Bug 1270312 (CVE-2015-5289) - CVE-2015-5289 postgresql: stack overflow DoS when parsing json or jsonb inputs
Summary: CVE-2015-5289 postgresql: stack overflow DoS when parsing json or jsonb inputs
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5289
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1270314 1270315 1273440 1273441 1273442 1273443 1273780 1273781 1274649
Blocks: 1270313
TreeView+ depends on / blocked
 
Reported: 2015-10-09 14:50 UTC by Adam Mariš
Modified: 2019-11-14 07:02 UTC (History)
17 users (show)

Fixed In Version: postgresql 9.4.5, postgresql 9.3.10, postgresql 9.2.14, postgresql 9.1.19, postgresql 9.0.23
Doc Type: Bug Fix
Doc Text:
A stack overflow flaw was discovered in the way the PostgreSQL core server processed certain JSON or JSONB input. An authenticated attacker could possibly use this flaw to crash the server backend by sending specially crafted JSON or JSONB input.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2077 normal SHIPPED_LIVE Moderate: rh-postgresql94-postgresql security update 2015-11-18 20:53:20 UTC
Red Hat Product Errata RHSA-2015:2078 normal SHIPPED_LIVE Moderate: postgresql security update 2015-11-19 12:54:06 UTC
Red Hat Product Errata RHSA-2015:2083 normal SHIPPED_LIVE Moderate: postgresql92-postgresql security update 2015-11-18 20:53:37 UTC

Description Adam Mariš 2015-10-09 14:50:21 UTC
A vulnerability in posgresql allowing an attacker to cause DoS. Json or jsonb input values constructed from arbitrary user input can crash the PostgreSQL server, terminating all active database connections and cause a denial of service.

Upstream patches:

http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=08fa47c4850cea32c3116665975bca219fbf2fe6
http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=30cb12881de55bc91a2cbde29d836bd3332612c3
http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=5976097c0fce03f8cc201aefc4445ad57e09bb75
http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=9e36c91b468d7d821b77214337ff891811b4b337

External reference:

http://www.postgresql.org/about/news/1615/

Comment 1 Adam Mariš 2015-10-09 14:54:44 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1270315]

Comment 2 Adam Mariš 2015-10-09 14:54:49 UTC
Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1270314]

Comment 8 errata-xmlrpc 2015-11-18 15:55:29 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2015:2077 https://rhn.redhat.com/errata/RHSA-2015-2077.html

Comment 9 errata-xmlrpc 2015-11-18 15:56:06 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2015:2083 https://rhn.redhat.com/errata/RHSA-2015-2083.html

Comment 10 errata-xmlrpc 2015-11-19 15:10:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2078 https://rhn.redhat.com/errata/RHSA-2015-2078.html


Note You need to log in before you can comment on or make changes to this bug.